﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Diagnostics;

public partial class CS : System.Web.UI.Page
{
    protected void Upload(object sender, EventArgs e)
    {
        //Get the File Name. Remove space characters from File Name.
        string fileName = FileUpload1.FileName.Replace(" ", string.Empty);

        //Save the PDF file.
        string inputPath = Server.MapPath("~/Output/") + Path.GetFileName(fileName);
        FileUpload1.SaveAs(inputPath);

        //Set the HTML file path.
        string outputPath = Server.MapPath("~/Output/") + Path.GetFileNameWithoutExtension(fileName) + ".html";

        ProcessStartInfo startInfo = new ProcessStartInfo();

        //Set the PDF File Path and HTML File Path as arguments.
        startInfo.Arguments = string.Format("{0} {1}", inputPath, outputPath);

        //Set the Path of the PdfToHtml exe file.
        startInfo.FileName = Server.MapPath("~/PdfToHtml/pdftohtml.exe");

        //Hide the Command window.
        startInfo.WindowStyle = ProcessWindowStyle.Hidden;
        startInfo.CreateNoWindow = true;

        //Execute the PdfToHtml exe file.
        using (Process process = Process.Start(startInfo))
        {
            process.WaitForExit();
        }
    }
}