﻿Imports System.IO
Imports System.Diagnostics
Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Upload(sender As Object, e As EventArgs)
        'Get the File Name. Remove space characters from File Name.
        Dim fileName As String = FileUpload1.FileName.Replace(" ", String.Empty)

        'Save the PDF file.
        Dim inputPath As String = Server.MapPath("~/Output/") + Path.GetFileName(fileName)
        FileUpload1.SaveAs(inputPath)

        'Set the HTML file path.
        Dim outputPath As String = Server.MapPath("~/Output/") + Path.GetFileNameWithoutExtension(fileName) + ".html"

        Dim startInfo As New ProcessStartInfo()

        'Set the PDF File Path and HTML File Path as arguments.
        startInfo.Arguments = String.Format("{0} {1}", inputPath, outputPath)

        'Set the Path of the PdfToHtml exe file.
        startInfo.FileName = Server.MapPath("~/PdfToHtml/pdftohtml.exe")

        'Hide the Command window.
        startInfo.WindowStyle = ProcessWindowStyle.Hidden
        startInfo.CreateNoWindow = True

        'Execute the PdfToHtml exe file.
        Using process As Process = process.Start(startInfo)
            process.WaitForExit()
        End Using
    End Sub
End Class
